openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrea Pescetti <pesce...@apache.org>
Subject Pootle setup for 4.0.1 (Re: Proposal -- AOO 4.0.1 Release)
Date Thu, 08 Aug 2013 13:06:19 GMT
On 07/08/2013 janI wrote:
> On 7 August 2013 13:07, J├╝rgen Schmidt wrote:
>> We have to convert them all in po, merge
>> against the latest templates from 4.0 and safe them in a secure
>> place/project and use new languages on demand
> No problem, I would have preferred another way, but this is less work now.

I'm renaming this subthread, since we all agree on the 4.0.1 proposal in 
itself and discussions are only on the Pootle update now.

I see in Pootle that the project names, after the discussion here, now 
follow the same pattern of 4.0.0: "aoo401" and "aoo401help": perfect.

The point where I and Juergen disagree is how many languages should be 
available in Pootle.

My deepest concern is that we don't waste the translators' time and that 
we are prepared to receive help immediately. So, for me, now is the time 
for importing everything from SDF to Pootle: we still have at least 
three languages (sr, sh, bg) where volunteers have been waiting for more 
than one week for us to put 4.0.0 in Pootle.

Juergen, how can we guarantee that this is not the bottleneck if we 
don't import everything now? As for creating Pootle accounts, I usually 
create them within 24 hours, which is fine. But creating a Pootle 
project (a new language) looks more complex and more critical.

As for the rest, see http://markmail.org/message/4oxacrviktdbmbcv but 
some important remarks are:

1) Languages that have 3.4.1 but not 4.0.0 in Pootle: preserve their 
work in the "aoo401" project (I don't know what this entails, but I 
assume that Jan's remarks about merging with the 4.0 templates apply here)

2) Languages that have 4.0.0 in Pootle: preserve their work in the 
"aoo401" project (so, Jan, I believe that cloning aoo400->aoo401 is OK 
for this).

3) Make "aoo401" the only active/writable/actionable/visible project, 
whatever options Pootle offers: volunteers should not be able to work on 
3.4.1 or 4.0.0 on Pootle any longer, it would be wasted time.

(Obviously, the same holds for "aoo401help")

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message